| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# iODESliderJoint Struct Reference

Inheritance diagram for iODESliderJoint:

[legend]
List of all members.

## Public Member Functions
virtual csVector3 | GetSliderAxis ()=0
| Get the slider axis.
virtual float | GetSliderPosition ()=0
| Get the slider linear position (i.e.
virtual float | GetSliderPositionRate ()=0
| Get the time derivative of slider position.
virtual void | SetSliderAxis (float x, float y, float z)=0
| Set the slider axis.

## Detailed Description

Definition at line 574 of file ode.h.

## Member Function Documentation

virtual csVector3 iODESliderJoint::GetSliderAxis | ( |  | ) | `[pure virtual]`

Get the slider axis.

virtual float iODESliderJoint::GetSliderPosition | ( |  | ) | `[pure virtual]`

Get the slider linear position (i.e.

the slider's "extension"). When the axis is set, the current position of the attached bodies is examined and that position will be the zero position.

virtual float iODESliderJoint::GetSliderPositionRate | ( |  | ) | `[pure virtual]`

Get the time derivative of slider position.

virtual void iODESliderJoint::SetSliderAxis | ( | float | x,
|  | float | y,
|  | float | z |
| ) |  |  | `[pure virtual]`

Set the slider axis.

The documentation for this struct was generated from the following file:

- ivaria/ode.h